QGIS Application - Bug report #21063
Unable to load GFS weather grib2 format data as a mesh
2019-01-21 11:06 PM - Lee Eddington

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MDAL

Affected QGIS version:3.4.1 Regression?: No

Operating System: MacOSX 10.14.2 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 28881
Description

| did some reading on MDAL and tried the instructions found at:
https://www.lutraconsulting.co.uk/blog/2018/10/18/mdal/

trying to load a GFS weather grib2 dataset containing u and v 10 meter height wind components as a mesh instead of a raster, and | get
the following error message:
Tools::BufferedFileWriter::open: Cannot open file.: unspecified iostream_category error

| also tried loading the ECMWF_ERA-40_subset.nc dataset linked to the blog post and get an error message saying it is an invalid data
source.

I’'m using QGIS version 3.4.1-Madeira on MacOSX 10.14.2

The GFS input file is attached. The ECMWF_ERA-40_subset.nc dataset is too large to attache, but is at:

https://www.unidata.ucar.edu/software/netcdf/examples/ECMWF_ERA-40_subset.nc

History

#1 - 2019-01-21 11:08 PM - Lee Eddington

Also, the GFS file loads fine as a raster.

#2 - 2019-01-22 08:49 AM - Saber Razmjooei

- File Screenshot_20190122_073332.png added

- Status changed from Open to Feedback

Hi Lee,

| tried both files and they work with QGIS master (and MDAL master).

I know there is a missing hdf in QGIS macOS from the official QGIS download. Could you try:
https://lutraconsulting.github.io/qgis-mac-packager/

| suggest to first try it with QGIS 3.4.4.

#3 - 2019-01-28 01:12 PM - Peter Petrik
could be related/duplicate of https://github.com/lutraconsulting/MDAL/issues/72. Can you try as admin?

#4 - 2019-02-22 04:10 PM - robert kalasek

same here !

tested both - gfs and the ecmwf

on mac qgis 3.4.4 ("compiled against gdal 2.3.3"): gfs and ecmwf
gfs -> error message "Tools::BufferedFileWriter::open: Cannot open file.: unspecified iostream_category error",
ecmwf -> error message "invalide data source"

on win qgis 3.4.4 ("compiled against gdal 2.4.0"): crash while loading the gfs-file

test with arcgis 10.6:
gfs: no problem

ecwmf: format not supported

the following page lists a number of netCDF data files: https://www.unidata.ucar.edu/software/netcdf/examples/files.html ... none of them were recognized

as valide datasources.

#5 - 2019-02-22 04:16 PM - Saber Razmjooei

Could you try it in QGIS 3.6 in Windows and macOS. QGIS 3.6 for macOS will be ready shortly:
https://lutraconsulting.github.io/qgis-mac-packager/

We have done some main changes to mdal and not backported to QGIS 3.4. So, for mesh layer, best using the latest version of QGIS.

#6 - 2019-02-22 05:25 PM - robert kalasek

just figured out that

at 3.4.4 loading netCDF files

- doesn't work like it was mentioned somewhere ... via data source manager / mesh

- browser shows netCDF files - but displays two or three entries per data-file. one with a mesh symbol the other with a raster symbol, and a table symbol.

the raster symbol works, the table covers the time-frame.

#7 - 2019-02-23 10:23 AM - Saber Razmjooei
- File Screenshot_20190223 091737.png added

| am a bit lost. Because | can't replicate the issue on macOS 3.4.5 (https:/lutraconsulting.github.io/qgis-mac-packager/).

| can open the attached dfs file (see attached). The only issue is that | can only open it via Data Source. It is not possible to open the gfs file as a mesh
through the browser, because it does not have one of the known extensions (e.g. nc, grb, grib, etc).

To help closing this ticket as by the OP (macOS and nc file issue), could you,

1- Install QGIS 3.4.5 or 3.6 (

https://www.dropbox.com/sh/w43am79lkx716p0/AADD9T4Fu7MI-NOK4 Un964Aa/qgis ltr final-3 4 5 20190222 082309.dmg?dI=0 or
https://www.dropbox.com/sh/gcr9a6ry25n4x91/AACoFpx3gw4mzOmhud4Ue4djHa/qgis pr final-3 6 0 20190222 124710.dmg?di=0)
2- From the main menu, click on Layer > Data Source Manager
3- In the new window, from the left panel, click on Mesh

4- Point the browser to: https://issues.qgis.org/attachments/download/14133/gfs.t12z.pgrb2.0p25.f012 or

https://www.unidata.ucar.edu/software/netcdf/examples/ECMWF _ERA-40_subset.nc

Let me know if you get any errors from the above procedure.

#8 - 2019-02-24 10:25 AM - Giovanni Manghi

- Assignee deleted (Lee Eddington)

#9 - 2019-03-17 09:24 AM - Giovanni Manghi

- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Closing for lack of feedback. Please reopen if necessary.

Files

gfs.t12z.pgrb2.0p25.f012 1.47 MB 2019-01-21 Lee Eddington

Screenshot_20190122_073332.png 522 KB 2019-01-22 Saber Razmjooei

Screenshot_20190223_091737.png 236 KB 2019-02-23 Saber Razmjooei
